let
  defaultBrowser = "io.gitlab.librewolf-community.desktop";
  defaultFileManager = "ranger.desktop";
  defaultTerminal = "kitty.desktop";
in
{
  xdg = {
    enable = true;
    mimeApps = {
      enable = true;
      defaultApplications = {
        # Default web browser.
        "text/html" = defaultBrowser;
        "x-scheme-handler/http" = defaultBrowser;
        "x-scheme-handler/https" = defaultBrowser;
        "x-scheme-handler/about" = defaultBrowser;
        "x-scheme-handler/unknown" = defaultBrowser;

        # Default file manager.
        "inode/directory" = defaultFileManager;

        # Image
        "image/*" = defaultTerminal;

        # Default terminal
        "application/x-sh" = defaultTerminal;
        "application/x-shellscript" = defaultTerminal;
        "x-scheme-handler/ssh" = defaultTerminal;
      };
    };
  };
}
